Bug 537328 - mpfr-devel should "Requires: gmp-devel"
Summary: mpfr-devel should "Requires: gmp-devel"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mpfr
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-13 07:07 UTC by Ralf Corsepius
Modified: 2009-12-11 18:31 UTC (History)
2 users (show)

Fixed In Version: 2.4.1-5.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-11 18:19:39 UTC


Attachments (Terms of Use)

Description Ralf Corsepius 2009-11-13 07:07:26 UTC
Description of problem:
/usr/include/mpfr.h includes <gmp.h>

=> mpfr-devel should require gmp-devel

Version-Release number of selected component (if applicable):
mpfr-devel-2.4.1-1.fc11.x86_64

How reproducible:
Always

Steps to Reproduce:
1. yum remove gmp-devel
   yum install mpfr-devel
2. echo "#include <mpfr.h>" > tmp.c
3. gcc -Wall -c tmp.c
  
Actual results:
# gcc -Wall -c tmp.c
In file included from tmp.c:1:
/usr/include/mpfr.h:39:18: error: gmp.h: No such file or directory


Expected results:
mpfr-devel to pull in all packages it depends upon.

Comment 1 Ivana Varekova 2009-11-13 12:24:13 UTC
Thanks, fixed in mpfr-2.4.1-5.fc13.

Comment 2 Ralf Corsepius 2009-11-13 12:55:37 UTC
Reopening. This bug is in FC11. I therefore can't let "FIXED RAWHIDE" count.

Comment 3 Fedora Update System 2009-11-20 10:15:46 UTC
mpfr-2.4.1-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mpfr-2.4.1-2.fc11

Comment 4 Fedora Update System 2009-11-20 10:29:32 UTC
mpfr-2.4.1-5.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/mpfr-2.4.1-5.fc12

Comment 5 Fedora Update System 2009-11-24 07:33:55 UTC
mpfr-2.4.1-5.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mpfr'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11894

Comment 6 Fedora Update System 2009-11-24 07:50:45 UTC
mpfr-2.4.1-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mpfr'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-11956

Comment 7 Fedora Update System 2009-12-11 18:19:34 UTC
mpfr-2.4.1-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2009-12-11 18:31:30 UTC
mpfr-2.4.1-5.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.